compact2, compact3
javax.xml.stream

## Interface EventFilter

    public interface EventFilter

This interface declares a simple filter interface that one can create to filter XMLEventReaders

Since:
  1.6
Version:
  1.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept(XMLEvent event)` Tests whether this event is part of this stream.

### Method Detail

#### accept

    boolean accept(XMLEvent event)

Tests whether this event is part of this stream. This method will return true if this filter accepts this event and false otherwise.

Parameters:
  `event` - the event to test
Returns:
  true if this filter accepts this event, false otherwise